1. Welcome to the newer, better version of Android Forums! Be sure to see the announcement and enjoy checking it out!

    Some of you have been having login issues. - Please try now. Sorry for the trouble!
  2. All attachments uploaded on the first day of this new look need to be re-uploaded, or will appear broken. All prior to that, and all going forward, should work fine. We apologize for the inconvenience!

Can't extends from MapActivity


  1. sw22

    sw22 Member

    Hi,
    Im sorry but Im lost when I want to extends from MapActivity. I have followed 3 times this tutorial:
    Using Google Maps in Android | mobiForge
    and I can't do these type of imports:
    Code:
    import com.google.android.maps.MapActivity
    Imports cannot be resolved
    I have found the same type of tutorial several times but there are no other particular explanation for my problem.

    I have installed all packages in eclipse (in Windows>Android sdk...), I develop for Android 2.2.

    Thanks

    Advertisement
  2. dima1109

    dima1109 Active Member

    Try making sure the Build Target of your project is "Google APIs" level 8, not "Android 2.2".
  3. sw22

    sw22 Member

    ah, that's true! It's not mentioned in the tutorial. Thanks!

Share This Page